//-----------------------------------------------------------------------------
// [MSP430 EVM] Test Program
//
// by http://cafe.naver.com/elab
//-----------------------------------------------------------------------------
#include "../00_hal/system.h"
#include "../01_drv/fnd_m.h"

/*
 - EVM忡  ġ  
 - ADC0  VR ADC FND 
*/

//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int  adc_value = 0;
    
	
	//System Initialize
	SystemInit();
    
	FndInit();
	
	Sw1Init();	
	
	//Init Led
	Led1Init();
	Led2Init();


    Led1On();	
	Led2Off();	


    ADC10CTL0 = ADC10SHT_2 + ADC10ON + ADC10IE; // ADC10ON, interrupt enabled
    ADC10AE |= 0x01;                          // P2.0 ADC option select
  
	while (1)
	{ 
		ADC10CTL0 |= ENC + ADC10SC;             // Sampling and conversion start
		while (ADC10CTL1 & ADC10BUSY);          // ADC10BUSY?
		
		adc_value = ADC10MEM;
		
		FndOut(adc_value/10);
		
		Delay(50);

	} // while
}
//-----------------------------------------------------------------------------